Subject: bug#4137: 23.1.50; vc-dir waits instead of error message

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 22 Dec 2020 07:51:53 +0100

Richard Stallman <[email-masked]> writes:

> That time I forgot to run ssh-add, so the basic vc commands should
> have failed.
>
> But vc-dir didn't report a failure.  Instead it created the buffer
> with no failure report, and then the buffer was nonresponsive to
> commands.
>
> The bug is that vc-dir did not fail when it should have failed.

Do you have a recipe for reproducing this, though?

I tried a session without an ssh agent, and I issued the `vc-update'
command, and I got an error buffer with the following data:

---
Running "git pull --stat"...
Permission denied, please try again.^M
Received disconnect from 209.51.188.201 port 22:2: Too many authentication fail\
ures for larsi^M
Disconnected from 209.51.188.201 port 22^M
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no